커스텀 도메인
GET https://linktify.net/api/domains/
curl --request GET \
--url 'https://linktify.net/api/domains/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://linktify.net/api/domains/' \
--header 'Authorization: Bearer {api_key}' \
| 매개변수 | 상세 | 설명 |
|---|---|---|
| search | 선택 문자열 | 검색 문자열. |
| search_by | 선택 문자열 | 검색 필드. 허용: host. |
| is_enabled | 선택 불리언 | |
| datetime_field | 선택 문자열 | 허용 값: datetime, last_datetime |
| datetime_start | 선택 문자열 | 이 일시부터 필터. 형식 Y-m-d H:i:s. |
| datetime_end | 선택 문자열 | 이 일시까지 필터. 형식 Y-m-d H:i:s. |
| order_by | 선택 문자열 | 정렬 필드. 허용: domain_id, datetime, last_datetime, host. |
| order_type | 선택 문자열 | 정렬 방향. ASC 오름차순, DESC 내림차순. |
| page | 선택 정수 | 결과를 가져올 페이지 번호. 기본 1. |
| results_per_page | 선택 정수 | 페이지당 개수. 허용: 10, 25, 50, 100, 250, 500, 1000. 기본 25. |
{
"data": [
{
"id": 1,
"scheme": "https://",
"host": "example.com",
"custom_index_url": "",
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-06-04 00:49:03",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://linktify.net/api/domains?page=1",
"last": "https://linktify.net/api/domains?page=1",
"next": null,
"prev": null,
"self": "https://linktify.net/api/domains?page=1"
}
}
GET https://linktify.net/api/domains/{domain_id}
curl --request GET \
--url 'https://linktify.net/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://linktify.net/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"scheme": "https://",
"host": "example.com",
"custom_index_url": "",
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-06-04 00:49:03",
}
}
POST https://linktify.net/api/domains
| 매개변수 | 상세 | 설명 |
|---|---|---|
| host | 필수 문자열 | - |
| custom_index_url | 선택 문자열 | - |
| custom_not_found_url | 선택 문자열 | - |
curl --request POST \
--url 'https://linktify.net/api/domains' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--form 'custom_index_url=https://example.com/' \
--form 'custom_not_found_url=https://example.com/404-page'
--url 'https://linktify.net/api/domains' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--form 'custom_index_url=https://example.com/' \
--form 'custom_not_found_url=https://example.com/404-page'
{
"data": {
"id": 1
}
}
POST https://linktify.net/api/domains/{domain_id}
| 매개변수 | 상세 | 설명 |
|---|---|---|
| host | 선택 문자열 | - |
| custom_index_url | 선택 문자열 | - |
| custom_not_found_url | 선택 문자열 | - |
curl --request POST \
--url 'https://linktify.net/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--url 'https://linktify.net/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
{
"data": {
"id": 1
}
}
DELETE https://linktify.net/api/domains/{domain_id}
curl --request DELETE \
--url 'https://linktify.net/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://linktify.net/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \